diff --git a/_ide_helper.php b/_ide_helper.php
index 9a3bc91..e29078a 100644
--- a/_ide_helper.php
+++ b/_ide_helper.php
@@ -1720,7 +1859,9 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function validate($credentials = array())
         {
-            return \Illuminate\Auth\SessionGuard::validate($credentials);
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        return $instance->validate($credentials);
         }
         
         /**
@@ -1733,7 +1874,9 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function basic($field = 'email', $extraConditions = array())
         {
-            return \Illuminate\Auth\SessionGuard::basic($field, $extraConditions);
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        return $instance->basic($field, $extraConditions);
         }
         
         /**
@@ -1746,7 +1889,9 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function onceBasic($field = 'email', $extraConditions = array())
         {
-            return \Illuminate\Auth\SessionGuard::onceBasic($field, $extraConditions);
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        return $instance->onceBasic($field, $extraConditions);
         }
         
         /**
@@ -1759,7 +1904,9 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function attempt($credentials = array(), $remember = false)
         {
-            return \Illuminate\Auth\SessionGuard::attempt($credentials, $remember);
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        return $instance->attempt($credentials, $remember);
         }
         
         /**
@@ -1772,7 +1919,9 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function loginUsingId($id, $remember = false)
         {
-            return \Illuminate\Auth\SessionGuard::loginUsingId($id, $remember);
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        return $instance->loginUsingId($id, $remember);
         }
         
         /**
@@ -1785,7 +1934,9 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function login($user, $remember = false)
         {
-            \Illuminate\Auth\SessionGuard::login($user, $remember);
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        $instance->login($user, $remember);
         }
         
         /**
@@ -1796,7 +1947,9 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function logout()
         {
-            \Illuminate\Auth\SessionGuard::logout();
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        $instance->logout();
         }
         
         /**
@@ -1811,7 +1964,9 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function logoutOtherDevices($password, $attribute = 'password')
         {
-            return \Illuminate\Auth\SessionGuard::logoutOtherDevices($password, $attribute);
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        return $instance->logoutOtherDevices($password, $attribute);
         }
         
         /**
@@ -1823,7 +1978,9 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function attempting($callback)
         {
-            \Illuminate\Auth\SessionGuard::attempting($callback);
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        $instance->attempting($callback);
         }
         
         /**
@@ -1834,7 +1991,9 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getLastAttempted()
         {
-            return \Illuminate\Auth\SessionGuard::getLastAttempted();
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        return $instance->getLastAttempted();
         }
         
         /**
@@ -1845,7 +2004,9 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getName()
         {
-            return \Illuminate\Auth\SessionGuard::getName();
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        return $instance->getName();
         }
         
         /**
@@ -1856,7 +2017,9 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getRecallerName()
         {
-            return \Illuminate\Auth\SessionGuard::getRecallerName();
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        return $instance->getRecallerName();
         }
         
         /**
@@ -1867,7 +2030,9 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function viaRemember()
         {
-            return \Illuminate\Auth\SessionGuard::viaRemember();
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        return $instance->viaRemember();
         }
         
         /**
@@ -1879,7 +2044,9 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getCookieJar()
         {
-            return \Illuminate\Auth\SessionGuard::getCookieJar();
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        return $instance->getCookieJar();
         }
         
         /**
@@ -1891,7 +2058,9 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function setCookieJar($cookie)
         {
-            \Illuminate\Auth\SessionGuard::setCookieJar($cookie);
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        $instance->setCookieJar($cookie);
         }
         
         /**
@@ -1902,7 +2071,9 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getDispatcher()
         {
-            return \Illuminate\Auth\SessionGuard::getDispatcher();
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        return $instance->getDispatcher();
         }
         
         /**
@@ -1914,7 +2085,9 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function setDispatcher($events)
         {
-            \Illuminate\Auth\SessionGuard::setDispatcher($events);
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        $instance->setDispatcher($events);
         }
         
         /**
@@ -1925,7 +2098,9 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getSession()
         {
-            return \Illuminate\Auth\SessionGuard::getSession();
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        return $instance->getSession();
         }
         
         /**
@@ -1936,19 +2111,23 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getUser()
         {
-            return \Illuminate\Auth\SessionGuard::getUser();
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        return $instance->getUser();
         }
         
         /**
          * Set the current user.
          *
          * @param \Illuminate\Contracts\Auth\Authenticatable $user
-         * @return $this 
+         * @return \Lab404\Impersonate\Guard\SessionGuard 
          * @static 
          */ 
         public static function setUser($user)
         {
-            return \Illuminate\Auth\SessionGuard::setUser($user);
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        return $instance->setUser($user);
         }
         
         /**
@@ -1959,19 +2138,23 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getRequest()
         {
-            return \Illuminate\Auth\SessionGuard::getRequest();
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        return $instance->getRequest();
         }
         
         /**
          * Set the current request instance.
          *
          * @param \Symfony\Component\HttpFoundation\Request $request
-         * @return $this 
+         * @return \Lab404\Impersonate\Guard\SessionGuard 
          * @static 
          */ 
         public static function setRequest($request)
         {
-            return \Illuminate\Auth\SessionGuard::setRequest($request);
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        return $instance->setRequest($request);
         }
         
         /**
@@ -1983,7 +2166,9 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function authenticate()
         {
-            return \Illuminate\Auth\SessionGuard::authenticate();
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        return $instance->authenticate();
         }
         
         /**
@@ -1994,7 +2179,9 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function hasUser()
         {
-            return \Illuminate\Auth\SessionGuard::hasUser();
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        return $instance->hasUser();
         }
         
         /**
@@ -2005,7 +2192,9 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function check()
         {
-            return \Illuminate\Auth\SessionGuard::check();
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        return $instance->check();
         }
         
         /**
@@ -2016,7 +2205,9 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function guest()
         {
-            return \Illuminate\Auth\SessionGuard::guest();
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        return $instance->guest();
         }
         
         /**
@@ -2027,7 +2218,9 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getProvider()
         {
-            return \Illuminate\Auth\SessionGuard::getProvider();
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        return $instance->getProvider();
         }
         
         /**
@@ -2039,7 +2232,9 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function setProvider($provider)
         {
-            \Illuminate\Auth\SessionGuard::setProvider($provider);
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        /** @var \Lab404\Impersonate\Guard\SessionGuard $instance */
+                        $instance->setProvider($provider);
         }
         
         /**
@@ -2052,20 +2247,23 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function macro($name, $macro)
         {
-            \Illuminate\Auth\SessionGuard::macro($name, $macro);
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        \Lab404\Impersonate\Guard\SessionGuard::macro($name, $macro);
         }
         
         /**
          * Mix another object into the class.
          *
          * @param object $mixin
+         * @param bool $replace
          * @return void 
          * @throws \ReflectionException
          * @static 
          */ 
-        public static function mixin($mixin)
+        public static function mixin($mixin, $replace = true)
         {
-            \Illuminate\Auth\SessionGuard::mixin($mixin);
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        \Lab404\Impersonate\Guard\SessionGuard::mixin($mixin, $replace);
         }
         
         /**
@@ -2077,7 +2275,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function hasMacro($name)
         {
-            return \Illuminate\Auth\SessionGuard::hasMacro($name);
+            //Method inherited from \Illuminate\Auth\SessionGuard            
+                        return \Lab404\Impersonate\Guard\SessionGuard::hasMacro($name);
         }
          
     }
@@ -2085,22 +2284,6 @@ namespace Illuminate\Support\Facades {
     /**
      * 
      *
-     * @method static void compile($path = null)
-     * @method static string getPath()
-     * @method static void setPath($path)
-     * @method static string compileString($value)
-     * @method static string stripParentheses($expression)
-     * @method static void extend(callable $compiler)
-     * @method static array getExtensions()
-     * @method static void if($name, callable $callback)
-     * @method static bool check($name, ...$parameters)
-     * @method static void component($path, $alias = null)
-     * @method static void include($path, $alias = null)
-     * @method static void directive($name, callable $handler)
-     * @method static array getCustomDirectives()
-     * @method static void setEchoFormat($format)
-     * @method static void withDoubleEncoding()
-     * @method static void withoutDoubleEncoding()
      * @see \Illuminate\View\Compilers\BladeCompiler
      */ 
     class Blade {
@@ -2114,7 +2297,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function compile($path = null)
         {
-            \Illuminate\View\Compilers\BladeCompiler::compile($path);
+                        /** @var \Illuminate\View\Compilers\BladeCompiler $instance */
+                        $instance->compile($path);
         }
         
         /**
@@ -2125,7 +2309,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getPath()
         {
-            return \Illuminate\View\Compilers\BladeCompiler::getPath();
+                        /** @var \Illuminate\View\Compilers\BladeCompiler $instance */
+                        return $instance->getPath();
         }
         
         /**
@@ -2137,7 +2322,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function setPath($path)
         {
-            \Illuminate\View\Compilers\BladeCompiler::setPath($path);
+                        /** @var \Illuminate\View\Compilers\BladeCompiler $instance */
+                        $instance->setPath($path);
         }
         
         /**
@@ -2149,7 +2335,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function compileString($value)
         {
-            return \Illuminate\View\Compilers\BladeCompiler::compileString($value);
+                        /** @var \Illuminate\View\Compilers\BladeCompiler $instance */
+                        return $instance->compileString($value);
         }
         
         /**
@@ -2161,7 +2348,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function stripParentheses($expression)
         {
-            return \Illuminate\View\Compilers\BladeCompiler::stripParentheses($expression);
+                        /** @var \Illuminate\View\Compilers\BladeCompiler $instance */
+                        return $instance->stripParentheses($expression);
         }
         
         /**
@@ -2173,7 +2361,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function extend($compiler)
         {
-            \Illuminate\View\Compilers\BladeCompiler::extend($compiler);
+                        /** @var \Illuminate\View\Compilers\BladeCompiler $instance */
+                        $instance->extend($compiler);
         }
         
         /**
@@ -2184,7 +2373,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getExtensions()
         {
-            return \Illuminate\View\Compilers\BladeCompiler::getExtensions();
+                        /** @var \Illuminate\View\Compilers\BladeCompiler $instance */
+                        return $instance->getExtensions();
         }
         
         /**
@@ -2197,7 +2387,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function if($name, $callback)
         {
-            \Illuminate\View\Compilers\BladeCompiler::if($name, $callback);
+                        /** @var \Illuminate\View\Compilers\BladeCompiler $instance */
+                        $instance->if($name, $callback);
         }
         
         /**
@@ -2210,7 +2401,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function check($name, $parameters = null)
         {
-            return \Illuminate\View\Compilers\BladeCompiler::check($name, $parameters);
+                        /** @var \Illuminate\View\Compilers\BladeCompiler $instance */
+                        return $instance->check($name, $parameters);
         }
         
         /**
@@ -2223,7 +2415,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function component($path, $alias = null)
         {
-            \Illuminate\View\Compilers\BladeCompiler::component($path, $alias);
+                        /** @var \Illuminate\View\Compilers\BladeCompiler $instance */
+                        $instance->component($path, $alias);
         }
         
         /**
@@ -2236,7 +2429,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function include($path, $alias = null)
         {
-            \Illuminate\View\Compilers\BladeCompiler::include($path, $alias);
+                        /** @var \Illuminate\View\Compilers\BladeCompiler $instance */
+                        $instance->include($path, $alias);
         }
         
         /**
@@ -2249,7 +2443,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function directive($name, $handler)
         {
-            \Illuminate\View\Compilers\BladeCompiler::directive($name, $handler);
+                        /** @var \Illuminate\View\Compilers\BladeCompiler $instance */
+                        $instance->directive($name, $handler);
         }
         
         /**
@@ -2260,7 +2455,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getCustomDirectives()
         {
-            return \Illuminate\View\Compilers\BladeCompiler::getCustomDirectives();
+                        /** @var \Illuminate\View\Compilers\BladeCompiler $instance */
+                        return $instance->getCustomDirectives();
         }
         
         /**
@@ -2272,7 +2468,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function setEchoFormat($format)
         {
-            \Illuminate\View\Compilers\BladeCompiler::setEchoFormat($format);
+                        /** @var \Illuminate\View\Compilers\BladeCompiler $instance */
+                        $instance->setEchoFormat($format);
         }
         
         /**
@@ -2283,7 +2480,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function withDoubleEncoding()
         {
-            \Illuminate\View\Compilers\BladeCompiler::withDoubleEncoding();
+                        /** @var \Illuminate\View\Compilers\BladeCompiler $instance */
+                        $instance->withDoubleEncoding();
         }
         
         /**
@@ -2294,7 +2492,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function withoutDoubleEncoding()
         {
-            \Illuminate\View\Compilers\BladeCompiler::withoutDoubleEncoding();
+                        /** @var \Illuminate\View\Compilers\BladeCompiler $instance */
+                        $instance->withoutDoubleEncoding();
         }
         
         /**
@@ -2307,7 +2506,8 @@ namespace Illuminate\Support\Facades {
         public static function getCompiledPath($path)
         {
             //Method inherited from \Illuminate\View\Compilers\Compiler            
-            return \Illuminate\View\Compilers\BladeCompiler::getCompiledPath($path);
+                        /** @var \Illuminate\View\Compilers\BladeCompiler $instance */
+                        return $instance->getCompiledPath($path);
         }
         
         /**
@@ -2320,7 +2520,8 @@ namespace Illuminate\Support\Facades {
         public static function isExpired($path)
         {
             //Method inherited from \Illuminate\View\Compilers\Compiler            
-            return \Illuminate\View\Compilers\BladeCompiler::isExpired($path);
+                        /** @var \Illuminate\View\Compilers\BladeCompiler $instance */
+                        return $instance->isExpired($path);
         }
          
     }
@@ -2328,7 +2529,6 @@ namespace Illuminate\Support\Facades {
     /**
      * 
      *
-     * @method static void connection($name = null);
      * @method static \Illuminate\Broadcasting\Broadcasters\Broadcaster channel(string $channel, callable|string  $callback)
      * @method static mixed auth(\Illuminate\Http\Request $request)
      * @see \Illuminate\Contracts\Broadcasting\Factory
@@ -2344,7 +2544,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function routes($attributes = null)
         {
-            \Illuminate\Broadcasting\BroadcastManager::routes($attributes);
+                        /** @var \Illuminate\Broadcasting\BroadcastManager $instance */
+                        $instance->routes($attributes);
         }
         
         /**
@@ -2356,7 +2557,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function socket($request = null)
         {
-            return \Illuminate\Broadcasting\BroadcastManager::socket($request);
+                        /** @var \Illuminate\Broadcasting\BroadcastManager $instance */
+                        return $instance->socket($request);
         }
         
         /**
@@ -2368,7 +2570,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function event($event = null)
         {
-            return \Illuminate\Broadcasting\BroadcastManager::event($event);
+                        /** @var \Illuminate\Broadcasting\BroadcastManager $instance */
+                        return $instance->event($event);
         }
         
         /**
@@ -2380,7 +2583,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function queue($event)
         {
-            \Illuminate\Broadcasting\BroadcastManager::queue($event);
+                        /** @var \Illuminate\Broadcasting\BroadcastManager $instance */
+                        $instance->queue($event);
         }
         
         /**
@@ -2392,7 +2596,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function connection($driver = null)
         {
-            return \Illuminate\Broadcasting\BroadcastManager::connection($driver);
+                        /** @var \Illuminate\Broadcasting\BroadcastManager $instance */
+                        return $instance->connection($driver);
         }
         
         /**
@@ -2404,7 +2609,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function driver($name = null)
         {
-            return \Illuminate\Broadcasting\BroadcastManager::driver($name);
+                        /** @var \Illuminate\Broadcasting\BroadcastManager $instance */
+                        return $instance->driver($name);
         }
         
         /**
@@ -2415,7 +2621,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getDefaultDriver()
         {
-            return \Illuminate\Broadcasting\BroadcastManager::getDefaultDriver();
+                        /** @var \Illuminate\Broadcasting\BroadcastManager $instance */
+                        return $instance->getDefaultDriver();
         }
         
         /**
@@ -2427,7 +2634,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function setDefaultDriver($name)
         {
-            \Illuminate\Broadcasting\BroadcastManager::setDefaultDriver($name);
+                        /** @var \Illuminate\Broadcasting\BroadcastManager $instance */
+                        $instance->setDefaultDriver($name);
         }
         
         /**
@@ -2435,12 +2643,13 @@ namespace Illuminate\Support\Facades {
          *
          * @param string $driver
          * @param \Closure $callback
-         * @return $this 
+         * @return \Illuminate\Broadcasting\BroadcastManager 
          * @static 
          */ 
         public static function extend($driver, $callback)
         {
-            return \Illuminate\Broadcasting\BroadcastManager::extend($driver, $callback);
+                        /** @var \Illuminate\Broadcasting\BroadcastManager $instance */
+                        return $instance->extend($driver, $callback);
         }
          
     }
@@ -2448,12 +2657,6 @@ namespace Illuminate\Support\Facades {
     /**
      * 
      *
-     * @method static mixed dispatch($command)
-     * @method static mixed dispatchNow($command, $handler = null)
-     * @method static bool hasCommandHandler($command)
-     * @method static bool|mixed getCommandHandler($command)
-     * @method static \Illuminate\Contracts\Bus\Dispatcher pipeThrough(array $pipes)
-     * @method static \Illuminate\Contracts\Bus\Dispatcher map(array $map)
      * @see \Illuminate\Contracts\Bus\Dispatcher
      */ 
     class Bus {
@@ -2467,7 +2670,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function dispatch($command)
         {
-            return \Illuminate\Bus\Dispatcher::dispatch($command);
+                        /** @var \Illuminate\Bus\Dispatcher $instance */
+                        return $instance->dispatch($command);
         }
         
         /**
@@ -2480,7 +2684,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function dispatchNow($command, $handler = null)
         {
-            return \Illuminate\Bus\Dispatcher::dispatchNow($command, $handler);
+                        /** @var \Illuminate\Bus\Dispatcher $instance */
+                        return $instance->dispatchNow($command, $handler);
         }
         
         /**
@@ -2492,7 +2697,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function hasCommandHandler($command)
         {
-            return \Illuminate\Bus\Dispatcher::hasCommandHandler($command);
+                        /** @var \Illuminate\Bus\Dispatcher $instance */
+                        return $instance->hasCommandHandler($command);
         }
         
         /**
@@ -2504,7 +2710,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getCommandHandler($command)
         {
-            return \Illuminate\Bus\Dispatcher::getCommandHandler($command);
+                        /** @var \Illuminate\Bus\Dispatcher $instance */
+                        return $instance->getCommandHandler($command);
         }
         
         /**
@@ -2517,31 +2724,34 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function dispatchToQueue($command)
         {
-            return \Illuminate\Bus\Dispatcher::dispatchToQueue($command);
+                        /** @var \Illuminate\Bus\Dispatcher $instance */
+                        return $instance->dispatchToQueue($command);
         }
         
         /**
          * Set the pipes through which commands should be piped before dispatching.
          *
          * @param array $pipes
-         * @return $this 
+         * @return \Illuminate\Bus\Dispatcher 
          * @static 
          */ 
         public static function pipeThrough($pipes)
         {
-            return \Illuminate\Bus\Dispatcher::pipeThrough($pipes);
+                        /** @var \Illuminate\Bus\Dispatcher $instance */
+                        return $instance->pipeThrough($pipes);
         }
         
         /**
          * Map a command to a handler.
          *
          * @param array $map
-         * @return $this 
+         * @return \Illuminate\Bus\Dispatcher 
          * @static 
          */ 
         public static function map($map)
         {
-            return \Illuminate\Bus\Dispatcher::map($map);
+                        /** @var \Illuminate\Bus\Dispatcher $instance */
+                        return $instance->map($map);
         }
         
         /**
@@ -2554,7 +2764,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function assertDispatched($command, $callback = null)
         {
-            \Illuminate\Support\Testing\Fakes\BusFake::assertDispatched($command, $callback);
+                        /** @var \Illuminate\Support\Testing\Fakes\BusFake $instance */
+                        $instance->assertDispatched($command, $callback);
         }
         
         /**
